# Class RateLogger

java.lang.Object
org.apache.zookeeper.server.RateLogger

public class RateLogger extends Object
This logs the message once in the beginning and once every LOG_INTERVAL.

## Constructor Summary

Constructors
Constructor
Description
`RateLogger(org.slf4j.Logger log)`
`RateLogger(org.slf4j.Logger log, long interval)`

## Method Summary

Modifier and Type
Method
Description
`void`
`flush()`
`void`
`rateLimitLog(String newMsg)`
`void`
`rateLimitLog(String newMsg, String newValue)`
In addition to the message, it also takes a value.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RateLogger

public RateLogger(org.slf4j.Logger log)

### RateLogger

public RateLogger(org.slf4j.Logger log, long interval)

## Method Details

### flush

public void flush()

### rateLimitLog

public void rateLimitLog(String newMsg)

### rateLimitLog

public void rateLimitLog(String newMsg, String newValue)
In addition to the message, it also takes a value.